﻿@model eCommerce.UI.ViewModels.HomeViewModel
@using eCommerce.Services.Model.Enums
@using eCommerce.UI.Utils

<style>
    .slick-slide img{
        width:100%;
    }
</style>
    <div class="home">
        <div class="home-banners js-main-slider -desktop">
            @foreach (var item in Model.BannersSlider)
            {
                <a href="@item.Link">
                    <img src="@string.Format("{0}{1}", Utility.BackOfficeUrl, item.ImageUrl)" />
                </a>
            }
        </div>

        <div class="home-banners js-main-slider -mobile">
            @foreach (var item in Model.BannersSliderMobile)
            {
                <a href="@item.Link">
                    <img src="@string.Format("{0}{1}", Utility.BackOfficeUrl, item.ImageUrl)" />
                </a>
            }
        </div>

        <div class="home-banner">
            <div class="hidden-xs home-banner-desktop">
                @foreach (var item in Model.BannersCategoriesDesktop)
                {
                    <div class="item">
                        <a href="@item.Link">
                            <img src="@string.Format("{0}{1}", Utility.BackOfficeUrl, item.ImageUrl)" />
                            @*<img src="~/Content/images/aw19/home/mobile/secondary1.jpg" class="visible-xs" />*@
                        </a>
                    </div>
                }
            </div>
            <div class="visible-xs home-banner-sm">
                @foreach (var item in Model.BannersCategoriesMobile)
                {
                    <div class="item">
                        <a href="@item.Link">
                            <img src="@string.Format("{0}{1}", Utility.BackOfficeUrl, item.ImageUrl)" />
                        </a>
                    </div>
                }
            </div>
        </div>

        <div class="saler">
            <div class="saler-title">
                Quiero ser revendedor
            </div>
            <div class="saler-content">
                Tenemos un sistema exclusivo para revendedoras de la marca. Podés realizar tus pedidos mayoristas
                online desde la comodidad de tu casa. Ofrecemos múltiples métodos de pago y envíos a todo el país.
                Además, ¡usarlo es muy fácil!
            </div>
            <div class="saler-register">
                <a href="/Account/login">
                    Registrate
                </a>
            </div>
        </div>

        <div class="catalog">
            <div class="catalog-content">
                <div class="heading">
                    <div class="title">Mirá nuestro catálogo</div>
                    <div class="bar"></div>
                </div>
                <div class="images">
                    <img src="~/Content/images/catalogo-mujeres.jpg"/>
                    <img src="~/Content/images/catalogo-hombres.jpg" />
                </div>
            </div>
        </div>
        @*<div class="instafeed">
            <div id="instafeed">
            </div>
        </div>*@


    </div>

@section Scripts {
    <script>
        $('.js-main-slider').slick({
            arrows: false,
            autoplay: true,
            autoplaySpeed: 5000,
        });

        $('.lookbook-items').owlCarousel({
            navigation: true,
            navigationText: ["<i class='fa fa-chevron-left'></i>", "<i class='fa fa-chevron-right'></i>"],
            pagination: false,
            autoPlay: true,
            items:3
        });
        
        $(document).ready(function () {
            LoadInstagramFeed();

            $('#site > .content').addClass('content--home');
        });

        function LoadInstagramFeed() {
           $.ajax({
                url: "https://api.instagram.com/v1/users/self/media/recent/?access_token=" + '@Utility.InstagramAccessToken',
                dataType: "jsonp",
                type: "GET",
                cache: false,
                contentType: "application/json; charset=utf-8",
                success: function (data) {
                    var content = "";
                    var imgQuantity = 1;
                    if ($(window).width() <= 767) {
                        imgQuantity = 4;
                    }
                    else {
                        imgQuantity = 5;
                    }

                    for (var i = 0; i < imgQuantity; i++) {
                        content += "<div><a href='"+ data.data[i].link + "' target='_blank'><img src='" + data.data[i].images.low_resolution.url + "'alt=image-'" + i + "'/></a></div>";
                    }
                    $('#instafeed').html(content);
                }
            });
        }


</script>

}
